#ifndef __GAMEMAIN_H__
#define __GAMEMAIN_H__

#include "game.h"

void game_init(void);
char *game_cmdstr(int id);
char *game_resultstr(int id);
char *game_getmapstr(void);
int game_state(void);
int game_main(void);

int game_winner(void);
char *game_winnername(void);
char *game_losername(void);
int game_turncount(void);
int game_isend(void);
t_mapitem *game_getmap(int x, int y);
t_playerinfo *game_getuserplayer(void);
t_playerinfo *game_getvsplayer(void);
t_result *game_getuserplayer_result(void);
t_result *game_getvsplayer_result(void);
char *game_getuserplayer_name(void);
char *game_getvsplayer_name(void);

#endif
