/* -------------------------------------------------------------------
   ASYQ[  Q[s{

                                     2004/6/15
                                         S.Mio
*/

#include <stdio.h>
#include <stdlib.h>
#include <time.h>
#include "game.h"
#include "gamemain.h"


/* ------------------------------------------------------------------- */
void gameprint(void)
{
    printf("\n%d^[\n", game_turncount());
    printf(game_getmapstr());
}

void gameexec(void)
{
    int i, state, winner;

    game_init();
    
    for (;;) {
        state = game_main();
        if (game_isend())
            break;
        
        if ((state == STATE_GAMERNEXTTURN) || 
            (state == STATE_GAMEINIT_VS)) {
            gameprint();
        }
    }
    
    winner = game_winner();
    if (winner == -1) {
        printf("\n");
    } else {
        printf(": %s\n", game_winnername());
        printf(": %s\n", game_losername());
    }
}


/* ------------------------------------------------------------------- */
int main(void)
{
    gameexec();
    return 0;
}
